summaryrefslogtreecommitdiff
path: root/debian/bin/perf
diff options
context:
space:
mode:
authorKim Kibum <kb0929.kim@samsung.com>2012-04-29 16:59:19 +0900
committerKim Kibum <kb0929.kim@samsung.com>2012-04-29 16:59:19 +0900
commitc1775d1a93a77a57380a4ce87ac3a8f807c944b2 (patch)
treee1f233f2af38ee247a677082198dd3a69a12a5a1 /debian/bin/perf
parent2c2dcd5ffef2e97176e6a55e45512177e55e6fb9 (diff)
downloadlinux-2.6.36-master.tar.gz
linux-2.6.36-master.tar.bz2
linux-2.6.36-master.zip
upload tizen1.0 sourceHEADmaster2.0alpha
Diffstat (limited to 'debian/bin/perf')
-rw-r--r--debian/bin/perf11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/bin/perf b/debian/bin/perf
new file mode 100644
index 00000000..fc2c0797
--- /dev/null
+++ b/debian/bin/perf
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# Execute the right version of perf for the current kernel.
+version="$(uname -r)"
+version="${version%%-*}"
+shopt -s execfail
+exec "perf_$version" "$@"
+
+# Not found? Tell the user which package to install.
+echo >&2 "E: linux-tools-$version is not installed."
+exit 1